Subject: [PATCH 12/15] arm-soc: omap: replace open coded VA->PA calculations

From: [email-masked] (Tony Lindgren)
Date: Fri, 11 Aug 2017 08:00:10 -0700

* Ard Biesheuvel <[email-masked]> [170811 06:48]:
> On 10 August 2017 at 15:03, Tony Lindgren <[email-masked]> wrote:
> > * Ard Biesheuvel <[email-masked]> [170810 02:23]:
> >> On 9 August 2017 at 22:05, Tony Lindgren <[email-masked]> wrote:
> >> > * Ard Biesheuvel <[email-masked]> [170809 12:24]:
> >> >> On 9 August 2017 at 20:05, Tony Lindgren <[email-masked]> wrote:
> >> >> > * Ard Biesheuvel <[email-masked]> [170805 13:54]:
> >> >> >> This replaces a couple of open coded calculations to obtain the
> >> >> >> physical address of a far symbol with calls to the new adr_l etc
> >> >> >> macros.
> >> >> >
> >> >> > I gave this series a quick test and omap3 no longer boots it seems.
> >> >> >
> >> >>
> >> >> Thanks Tony. I will investigate
> >> >
> >> > Thanks. Looks like omap4 still boots with all your patches, but
> >> > omap3 won't boot even with patch 12 left out.
> >> >
> >>
> >> Are you using the same image on both? Which .config?
> >
> > Yes it's the same image compiled with omap2plus_defconfig.
> >
> 
> Unfortunately, I am failing to reproduce this on beaglebone white or
> QEMU's beagle-xm emulation.
> 
> Anything you can share regarding the failure mode? Do you get any output at all?

No output at all, I've tried omap3-evm, logicpd torpedo
and n900. We do copy some of the PM code to SRAM on
omap3 though that's not done on am335x.

But as it's not caused by this patch, I'll try to
narrow it down to the patch causing it.

Regards,

Tony